create or replace rule aim_insert as on insert to aim do
	insert into log values(
		'INSERT',
		null,
		null,
		new.id,
		new.name,
		current_user,
		current_timestamp
	)
;
create or replace rule aim_update as on update to aim do
	insert into log values(
		'UPDATE',
		old.id,
		old.name,
		new.id,
		new.name,
		current_user,
		current_timestamp
	)
;
create or replace rule aim_delete as on delete to aim do
	insert into log values(
		'DELETE',
		old.id,
		old.name,
		null,
		null,
		current_user,
		current_timestamp
	)
;
