drop view staff_v;
drop table staff;
drop table client;

create table client (
	id integer primary key,
	name text not null,
	tel text not null
);
insert into client values(1, 'SUN', '0120-99-0001');
insert into client values(2, 'IBM', '0120-99-0002');
insert into client values(3, 'NEC', '0120-99-0003');

create table staff (
	id integer primary key,
	name text not null,
	tel text not null,
	c_id integer references client(id)
);
insert into staff values(1, 'c', '11-0001', 2);
insert into staff values(2, '', '11-0002', 3);
insert into staff values(3, 'Rc', '11-0003', 1);

create view staff_v as
	select
			s.name as S,
			s.tel as Stel,
			c.name as Ӑ,
			c.tel as Ӑtel
		from client c, staff s
		where c.id = s.c_id
;
