drop view dog_v;
drop table dog;

create table dog (
	code integer primary key,
	name text not null,
	sex integer not null check(sex in (1, 2)),
	weight float not null check(weight > 0),
	kind text,
	color text
);
insert into dog values(1, '`A', 2, 3.8, '`', 'DF');
insert into dog values(2, '', 1, 43.5, 'Hc', null);
insert into dog values(3, 'W~[', 1, 9.3, null, 'yF');
insert into dog values(4, 'xeB', 2, 22.8, null, null);

create view dog_v as
	select
			code as ԍ,
			name as O,
			case sex
				when 1 then 'IX'
				when 2 then 'X'
			end as ,
			case
				when weight >= 36 then '^'
				when weight >= 18 then '^'
				when weight >= 6 then '^'
				else '^'
			end as 傫,
			coalesce(kind, '') || coalesce(color, '') as 
		from dog
;
