create or replace function cursor092() returns boolean as $$
	declare
		cur cursor for select name from student order by name;
		result boolean := false;
		cname student.name%type;
		pname student.name%type := '';
	begin
		open cur;
		loop
			fetch cur into cname;
			exit when not found;
			if cname = pname then
				result := true;
				exit;
			end if;
			pname := cname;
		end loop;
		close cur;
		return result;
	end;
$$ language plpgsql;
